import           Data.Dependency
import           Test.Hspec

free :: Dependency
free = Dependency "free" mempty mempty

comonad :: Dependency
comonad = Dependency "comonad" mempty mempty

lens :: Dependency
lens = Dependency "lens" mempty ["free", "comonad"]

deps :: [Dependency]
deps = [free, lens, comonad]

main :: IO ()
main = hspec $ parallel $
    describe "buildSequence" $
        it "correctly orders dependencies" $
            buildSequence deps `shouldBe` [[free, comonad], [lens]]
